package Scorch.Items;

/*
  Class:  Fuel
  Author: Mikhail Kruk
  Description: fuel is the item which allows the player to move his(her)
  tank to get a better shot at the opponents
*/

import java.awt.*;
import java.awt.event.*;

import Scorch.Utility.*;
import Scorch.ScorchApplet;

public class Fuel extends Item
{
    private static int tankVolume; // how much fuel per a tank bought

    public Fuel()
    {
	type = Fuel;
	price = 10000;
	quantity = 100;
    }

    public ItemControl getControlPanel(ScorchApplet owner)
    {
	controlPanel = new FuelControl(this, owner);
	return controlPanel;
    }
}

class FuelControl extends ItemControl implements ActionListener
{
    public FuelControl(Fuel f, ScorchApplet owner)
    {
	super(f, owner);

	control = new Button("Activate");
	((Button)control).addActionListener(this);
	
	setLayout(new FlowLayout());
	add(control);
    }
   
    public void actionPerformed(ActionEvent evt)
    {
	if( evt.getActionCommand().equals("Activate") && 
	    item.getQuantity() > 0 )
	    owner.activateFuel();
    }
}
