package Scorch;
import java.awt.Point;
import Scorch.*;

/*
  Class:      PhysicalObject.
  Author:     Nathan Roslavker
  Desciption: A base class for any animated object that purports to
  have real world physical properties. An instance of 
  Physics class, passed as a paremeter, is used to calculate
  the trajecotry.
*/
            
abstract public class PhysicalObject extends Audible
{
    protected int x, y, weight;
    protected Bitmap bitmap;
    protected Physics physics;
    protected ScorchApplet scorchApplet;

    public PhysicalObject(Bitmap bitmap, Physics physics)
    {
	this.bitmap = bitmap;
	this.physics = physics;

	x = y = weight = 0;

	if(physics!=null)
	    setPosition(physics.getPosition());
    }

    public void setPosition(int x, int y)
    {
	this.x=x;this.y=y;
    }

    public void setPosition(Point position)
    {
	setPosition(position.x,position.y);
    }

    public void setPhysics(Physics physics)
    {
	this.physics = physics;
    }

    public void setBitmap(Bitmap bitmap)
    {
	this.bitmap = bitmap;
    }

    public int getX()
    {
	return x;
    }

    public int getY()
    {
	return y;
    }
}
