package Scorch.gui;

/*
  Class:  FuelBox
  Author: Mikhail Kruk
  Description: the window that popups when user uses the fuel item to move tank
*/

import java.awt.*;
import java.awt.event.*;

import Scorch.*;
import Scorch.Items.*;
import swindows.*;

public class FuelBox extends sWindow implements ActionListener, KeyListener
{
    private sGauge fuelGauge;
    
    public FuelBox(int x, int y, ScorchApplet owner)
    {
	super(x,y,0,0,"Fuel", owner);

	fuelGauge = new sGauge(20, 200, owner);
	Button btnL, btnR, btnOK;

	Panel p = new Panel(new FlowLayout());
	btnL = new Button("<");
	btnR = new Button(">");
	btnOK = new Button("OK");
	p.add(btnL); 
	p.add(btnOK);
	p.add(btnR);
	btnL.addActionListener(this);
	btnR.addActionListener(this);
	btnOK.addActionListener(this);

	setLayout(new BorderLayout());
	add(new Label("Use fuel to move your tank", Label.CENTER), 
	    BorderLayout.NORTH);
	add(fuelGauge, BorderLayout.CENTER);
	add(p, BorderLayout.SOUTH);

	addKeyListener(this);

	validate();
    }

    public void keyPressed(KeyEvent evt)
    {
	if( evt.getKeyCode() == KeyEvent.VK_ESCAPE )
	    close();
    }

    public void keyReleased(KeyEvent evt) {}
    public void keyTyped(KeyEvent evt) {}

    public void actionPerformed(ActionEvent evt)
    {
	String cmd = evt.getActionCommand();

	if( "OK".equals(cmd) )
	    {
		close();
		return;
	    }
	if( "<".equals(cmd) )
	    {
		((ScorchApplet)owner).useItem(Item.Fuel, -1);
		return;
	    }
	if( ">".equals(cmd) )
	    {
		((ScorchApplet)owner).useItem(Item.Fuel, 1);
		return;
	    }
    }
}
